"use client";
var o = (e, i, n, t) => {
  if (i === "axis")
    return e.tooltipItemPayloads;
  if (e.tooltipItemPayloads.length === 0)
    return [];
  var r;
  return n === "hover" ? r = e.itemInteraction.hover.dataKey : r = e.itemInteraction.click.dataKey, r == null && t != null ? [e.tooltipItemPayloads[0]] : e.tooltipItemPayloads.filter((l) => {
    var a;
    return ((a = l.settings) === null || a === void 0 ? void 0 : a.dataKey) === r;
  });
};
export {
  o as combineTooltipPayloadConfigurations
};
